// Listing 8.3 What is stored in a pointer.

#include <iostream>


int main()
{
	using std::cout;

	unsigned short int myAge = 5, yourAge = 10;

	 // a pointer
	unsigned short int * pAge = &myAge; 

	cout << "myAge:\t" << myAge 
		<<  "\t\tyourAge:\t" << yourAge << "\n";

	cout << "&myAge:\t" << &myAge 
		<< "\t&yourAge:\t" << &yourAge <<"\n";

	cout << "pAge:\t" << pAge << "\n";
	cout << "*pAge:\t" << *pAge << "\n";

	
	cout << "\nReassigning: pAge = &yourAge...\n\n";
	pAge = &yourAge;       // reassign the pointer

	cout << "myAge:\t" << myAge <<  
		"\t\tyourAge:\t" << yourAge << "\n";

	cout << "&myAge:\t" << &myAge 
		<< "\t&yourAge:\t" << &yourAge <<"\n";

	cout << "pAge:\t" << pAge << "\n";
	cout << "*pAge:\t" << *pAge << "\n";
	
	cout << "\n&pAge:\t" << &pAge << "\n";

	return 0;
}
